Subject: Re: Linux on Memec Virtex II Pro V4P7 Rev. 3

From: Tony Lee <[email-masked]>
Date: Thu, 7 Oct 2004 15:34:00 -0700

On Wed, 06 Oct 2004 19:41:22 +0400, Andrei Konovalov
<[email-masked]> wrote:
> Jon Masters wrote:
> > On Tue, 05 Oct 2004 20:05:29 +0400, Andrei Konovalov
> > <[email-masked]> wrote:
> >
> >
> > While we're on this subject I will ask - do you also need something
> > like the nointr mods I pointed out in order to use sysace for writing
> > on that board? The hardware generates more interrupts than anything
> > documented suggests that it should and your driver dies horribly (or
> > is completely unreliable) unless I modify it as I mentioned. It's
> > probably a sysaceism.
> 
> Not too much to say about sysace at the moment.
> We do not use xsysace in our Memec 2VP7 design (this is a chip select
> issue with P160 flash and xsysace sitting on the same bus - we do
> not have HW engineer to do an IP to control the chip select inputs;
> by default both are tied to ground - always selected).
> With ML300 we've never seen this problem. I was just asked to try
> to enhance the xsysace driver performance - will use this opportunity
> to have a deeper look at the driver's internals.
> 

I have to use the non-interrupt mode in sysace.  I thought there were some
HW issue in our HW board (no ML 300).   Good to know other have the 
same problem.   We don't have ML300, otherwise, I will run the 
kernel with printk in the sysace driver to see that system ISR behavior
on write.  The problem I had was: I can not turn off the ISR when write
to the system (nor when send ID drive command).

Jon,  what kind of performance you got from the sysace?

When I copy 18 MB of ace file into sysace with Linux, the 
sync command took minutes to complete for me.

Sysace ISR should not be the issue, since there is no seeks
and all the IO is dirven from the kernel.

-- 
-Tony